RequirePackage("lrslib");
RequirePackage("require_file");
AddToLoadPath("~/research/gap-lrslib/src");
AddToLoadPath("../cube");

ReadFile("ratio.gap");
ReadFile("cube-funcs.gap");
ReadFile("matrix-utils.gap");


V:=CubeVerts(4);

sys:=slackSys(V);

Vp:=Permuted(V,sys.pi);
#PrintTo("cube-4-verts.gap",Vp);
Read("cube-4-bases.gap");

trial:=function(lrs,cobasis,sys)
    local dict,lenter,benter,olenter,plenter,ret;
    
    Print("cobasis=",cobasis,"\n");

    dict:=makedict(cobasis,sys);
    lenter:=lrsEntering(lrs,cobasis);
    olenter:=lrsOrbitEntering(lrs,cobasis);
    benter:=bruteEntering(cobasis,dict);
    plenter:=pseudoLrsEntering(cobasis,dict);
    ret:=rec(cobasis:=cobasis,lrs:=lenter);
    
    if  (lenter <> benter) then 
        ret.brute:=benter;    
    fi;
    
    if (lenter <> plenter) then
        ret.pseudolrs:=plenter;
    fi;
    
    if (lenter <> olenter) then
        ret.orbitlrs:=olenter;
    fi;

    
    return ret;
end;
    
    
initLRS:=function(V)
    local lrs,first;
    lrs:=LRS();
    LRSLoadMatrix(lrs,V,[]);
    first:=LRSGetFirstBasis(lrs);
    if (first) then
        return lrs;
    else
        return fail;
    fi;
end;

runs:=function()
    local lrs,first;
    lrs:=initLRS(Vp);
    return Filtered(
                   List(bases,cob->trial(lrs,cob,sys))
                   ,r->Size(RecNames(r))>2);
end;

genlog:=function()
    local lrs;
    lrs:=initLRS(Vp);
    LRSSetCobasis(lrs,[2,4,14,16]);
    return LRSLexRatio(lrs,2);
end;