#!/usr/bin/env perl

#Generate tabular from scanlog output.

use strict;
use Data::Dumper;

require 'ttime.pl';

undef $/;
$_=<>;

my $key;
my $gaptime;
my $childrentime;
my ($nautypre,$nautytotal);

my $href=eval($_);
foreach $key  (sort { $a <=> $b } keys %{$href}){
  my $record=$href->{$key};


  $gaptime=ttime($record->{gap_time});
  $childrentime=ttime($record->{gap_time},'_children');
  $nautypre=ttime($record->{nauty_preproc_time});
  $nautytotal=ttime($record->{nauty_total_time});
  write;
}

format STDOUT_TOP=
dimension    total   children  nautyrun      gap   nautypre lrs
.
format STDOUT=
@######## @#####.### @#####.### @#####.### @#####.### @#####.### @#####.###
$key, $gaptime+$childrentime, $childrentime,  $nautytotal-$nautypre, $gaptime,  $nautypre, $childrentime-$nautytotal
.
