# -*- Gap -*-


######################################################################
##
#O Expect( <stream>, <string>, <timeout>)
##
## Reads a line from <stream>, and returns true if it matches 
## <string>, false if not, fail if the read times out
DeclareOperation("Expect",[IsInputStream,IsString,IsInt]);

######################################################################
##
#O Insist( <stream>, <string>, <timeout>)
##
## Reads a line from <stream>,  reports an error if it does not match
## <string>
DeclareOperation("Insist",[IsInputStream,IsString,IsInt]);

######################################################################
#O ReadLineWithTimeout(<stream>, <timeout>)
##
## Reads a line from stream, timing out if no input.
## Modifies the semantics of ReadLine to really try to read a whole line, 
## unless any given read times out. Conceivably, if used on a stream with 
## with no end-of-line characters, loops over the whole stream.
DeclareOperation("ReadLineWithTimeout",[IsInputStream,IsInt]);


######################################################################
#O SendList(<stream>,<list>)
##
## Join <list> with spaces, write to <stream>
DeclareOperation("SendList",[IsOutputStream,IsList]);


######################################################################
##
#F SendItems(<p>,<item>, <item>, <item>....)
##
## Join items into a line, write to <p>
DeclareGlobalFunction("SendItems");

######################################################################
##
#F SendLine(<p>,<item>, <item>, <item>....)
##
## Join items into a line, write to <p>, followed by a new line
DeclareGlobalFunction("SendLine");

######################################################################
##
#O ReadList(<stream>,<timeout>) read a space separated 
##
DeclareOperation("ReadList",[IsInputStream,IsPosInt]);

######################################################################
## 
#O StringToRatVec(<string>)
##
## Take string representation of a vector prefixed by its length, return
## the vector.
DeclareOperation("StringToRatVec",[IsString]);