#!/usr/bin/env perl -w

use strict;
my @bases=();
my %facet=();
while (<>){

  next if (!m/^[VF]#/);
  (m/.*(facets|vertices\/rays)([^:]+)(:.*)?I/) || die "oops: $_";

  my $indices=$2;
  my $extraindices=$3 || ":";

  $indices=~s/\b\d+\*//;
  $extraindices=~s/^\s*://;

  $extraindices=~ m/[\s\d]*/ || die "what? $extraindices";
  my @indices=split(" ",$indices);
  push(@bases,"[".join(",",@indices)."]");

  my @extraindices=split(" ",$extraindices);
  my $key="[".join(",",sort {$a <=> $b} (@indices,@extraindices))."]";
#  print STDERR "$key\n";
  $facet{$key}=1;


};

print "bases:=[",join(",\n",@bases),"];\n";
print "facets:=[",join(",\n",sort keys %facet),"];\n";
